Whitelist the WABA ID

API to whitelist WhatsApp Business Account (WABA) ID for embedded onboarding flow. This endpoint enables partners to whitelist their WABA for the embedded onboarding solution, which is required before attaching credit lines and completing the WhatsApp onboarding process.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

KeyValueDescriptionData TypesRequire/OptionalConstraints
Authorization{PARTNER_APP_TOKEN}Access Token for the applicationStringRequired- Should be a valid Partner App Access Token
appId{APP_ID}Id of the app for which callback to be setStringRequired- The ID should be a valid appId of Gupshup. - It should belong to the same account as the apikey

Sample Request

curl --location --request POST 'https://partner.gupshup.io/partner/app/{APP_ID}/obotoembed/whitelist' \
--header 'Authorization: {PARTNER_APP_TOKEN}'

Sample Response

{
    "embedSignupUrl": "https://gs.tc.im/kZviNa8Zlx9",
    "id": "1016427996774921",
    "status": "success"
}

Status Codes

Status CodeResponseComments
Success
200{ "embedSignupUrl": "https://gs.tc.im/kZviNa8Zlx9", "id": "1016427996774921", "status": "success" }
Error
400{ "message": "Error while whitelisting WABA.", "status": "error" }
429{ "status": "error", "message": "Too Many Requests" }10 Requests per Minute
500{ "status": "error", "message": "Internal Server Error" }For any Internal Error
Path Params
string
required
Headers
string
required

Your app token, please refer Get access token api to get the token from partner documentation.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json